Assigns providers from template
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/applyTemplate/{templateUid}/assignProviders \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/applyTemplate/{templateUid}/assignProviders"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/applyTemplate/{templateUid}/assignProviders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"continuous": true,
"dateCreated": "2023-11-07T05:31:56Z",
"dateDue": "2023-11-07T05:31:56Z",
"filename": "<string>",
"imported": true,
"jobAssignedEmailTemplate": {},
"notificationIntervalInMinutes": 123,
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"sourceFileUid": "<string>",
"targetLang": "<string>",
"uid": "<string>",
"updateSourceDate": "2023-11-07T05:31:56Z",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
]
}Project
Assigns providers from template
Jobs that will be skipped:
- jobs in Assigned status
- jobs that already has assignments
- jobs that are not ready yet (import or update source is in progress)
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
applyTemplate
/
{templateUid}
/
assignProviders
Assigns providers from template
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the template
UID of the project
Response
OK
Job parts affected by the operation
Show child attributes
Show child attributes
Was this page helpful?
⌘I